#ifndef IHM_H
#define IHM_H

#include <QtGui>
#include "LecteurNFC.h"
#include "CarteMifare.h"

class IHM : public QWidget
{
    Q_OBJECT
public:
    explicit IHM(QWidget *parent = 0);
    ~IHM();

private:
    LecteurNFC *lecteurNFC;
    QTextEdit  *messages;
    QSpinBox *numBloc;
    QPushButton *boutonLire;
    QPushButton *boutonLireCarte;
    QPushButton *boutonEcrire;
    QPushButton *boutonEffacer;
    QLineEdit   *leDonnees;
    QProgressBar *progressBar1;
    QTimer *timer;
    bool cartePresente;

signals:
    void progress(int);

public slots:
    void lireCarte();
    void lire();
    void lireTout();
    void ecrire();
    void effacer();
};

#endif // IHM_H
